#include "Display.h"
#include "SPI.h"

Display lcd = Display();

void setup() {
  lcd.init(20);
}

void loop() {
  lcd.clearVideoBuffer();
  drawBackground();
  byte value = (analogRead(A0) >> 3);
  lcd.drawLine(64, 90, value, parabel(value));
  lcd.show();
  delay(100);
}

void drawBackground() {
  lcd.drawEllipse(64, 50, 100, 50);
  lcd.drawEllipse(64, 70, 100, 50);
  lcd.drawLine(0, 32, 64, 100);
  lcd.drawLine(127, 32, 64, 100);
  lcd.drawString(58, 40, "VU");
  //Skala
  lcd.drawLine(7, 25, 11, 28);
  lcd.drawString(2, 17, "0");
  lcd.drawLine(28, 19, 29, 23);
  lcd.drawString(25, 11, "1");
  lcd.drawLine(51, 16, 52, 20);
  lcd.drawString(49, 8, "2");
  lcd.drawLine(76, 16, 75, 20);
  lcd.drawString(74, 8, "3");
  lcd.drawLine(99, 19, 98, 23);
  lcd.drawString(98, 11, "4");
  lcd.drawLine(120, 25, 118, 27);
  lcd.drawString(121, 17, "5");
}

int parabel(uint8_t div) // Funktion zur
//Längenberechnung des Zeigers per Wurfparabel
{
  uint8_t h, ref;
  double v;
  v = div / 2; // v optimiert für 254 Pixel; für Display Division durch 2
  h = ((0.683 * v) - (0.0105 * v * v)) - 1; // Wurfparabel konfiguriert
  ref = 27 - h; // Anpassung Zeigerausgangswert (linker Anschlag)
  return (ref);
}


